function[shluk,spravnost,prah]=priznak_prouzky(obr_vyrez, polohy_prouzky,prouzky_zacatky,prouzky_konce,polohy_linie,metoda_distance, metoda_shluk)
%% Metoda parametru prouzku
% Vypocet poctu prouzku
for i=1:length(polohy_prouzky(:,1))
    pocty_prouzku(i,:)=nnz(polohy_prouzky(i,:));
end
%Vypocet sirky prouzku
sirky_prouzku=prouzky_konce-prouzky_zacatky;
% Vypocet prumerne hodnoty prouzku z originalniho obrazu
for i=1:length(polohy_linie)-1
    for k=1:length(polohy_prouzky(1,:))
        prouzek=obr_vyrez(prouzky_zacatky(k):prouzky_konce(k),polohy_linie(i):polohy_linie(i+1));
        hodnoty_prouzku(i,k)=mean(mean(prouzek));
    end
end
%Osetreni nulovych hodnot prouzku
hodnoty_prouzku(polohy_prouzky==0)=0;
%Vytvoreni matice priznaku
priznaky=[pocty_prouzku polohy_prouzky  sirky_prouzku hodnoty_prouzku];
% Vypocet vzdalenosti a shlukovani
vzdalenost=pdist(priznaky,metoda_distance);
shluk=linkage(vzdalenost,metoda_shluk);
% Vypocet parametru spravnosti
pocet_shluku=size(shluk);
spravnost=mean(shluk((pocet_shluku(1)-2):(pocet_shluku(1)-1),3))/max(shluk(pocet_shluku(1),3));
% Prah pro vykresleni
prah=max(shluk(:,3));
end